# H225_FacilityReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_routeCallToGatekeeper, e_callForwarded, e_routeCallToMC, e_undefinedReason, e_conferenceListChoice, e_startH245, e_noH245, e_newTokens, e_featureSetUpdate, e_forwardedElements, e_transportedInformation }

## Public Member Functions

| H225_FacilityReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_FacilityReason::Choices

Enumerator:

  e_routeCallToGatekeeper |
  e_callForwarded |
  e_routeCallToMC |
  e_undefinedReason |
  e_conferenceListChoice |
  e_startH245 |
  e_noH245 |
  e_newTokens |
  e_featureSetUpdate |
  e_forwardedElements |
  e_transportedInformation |

## Constructor & Destructor Documentation

H225_FacilityReason::H225_FacilityReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H225_FacilityReason::CreateObject | ( |  | ) |

PObject* H225_FacilityReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h